from flask import Blueprint, current_app, render_template, request, session, url_for
from eoleauthlib.authclient import login_required
from eoleflask.util import get_proxy_url
from eop import utils

vnc = Blueprint('vnc', __name__, url_prefix = '/vnc')

@vnc.route('')
@login_required
def show():

    username = session["username"]
    is_prof = utils.est_prof()

    if not is_prof:
        current_app.logger.warning('User %s (not prof) tried to access page \'vnc_auto.html\'.' %username)
        return render_template('erreurs/non_prof.html', username=username)
    else:
        url_logout = url_for('logout', return_url=get_proxy_url(request, url_for("vnc.show", _external=True)))
        return render_template('vnc/vnc.html', host_scribe = current_app.config['HOST_SCRIBE'], port_vnc = current_app.config['PORT_VNC'], username = username, url_logout = url_logout)
